org.keycloak.protocol.saml.mappers

## Class RoleListMapper

- java.lang.Object
- - org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper
  - - org.keycloak.protocol.saml.mappers.RoleListMapper

- All Implemented Interfaces:
    ProtocolMapper, SAMLRoleListMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class RoleListMapper
      extends AbstractSAMLProtocolMapper
      implements SAMLRoleListMapper

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`
    `static String` | `SINGLE_ROLE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleListMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolMapperModel` | `create(String name, String samlAttributeName, String nameFormat, String friendlyName, boolean singleAttribute)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `mapRoles(AttributeStatementType roleAttributeStatement, ProtocolMapperModel mappingModel, KeycloakSession session, UserSessionModel userSession, ClientSessionModel clientSession)`

    - ### Methods inherited from class org.keycloak.protocol.saml.mappers.AbstractSAMLProtocolMapper

      `close, create, getProtocol, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### SINGLE_ROLE_ATTRIBUTE

          public static final String SINGLE_ROLE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RoleListMapper

          public RoleListMapper()

  - ### Method Detail

    - #### getDisplayCategory

          public String getDisplayCategory()

      Specified by:
        `getDisplayCategory` in interface `ProtocolMapper`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### mapRoles

          public void mapRoles(AttributeStatementType roleAttributeStatement,
                               ProtocolMapperModel mappingModel,
                               KeycloakSession session,
                               UserSessionModel userSession,
                               ClientSessionModel clientSession)

      Specified by:
        `mapRoles` in interface `SAMLRoleListMapper`

    - #### create

          public static ProtocolMapperModel create(String name,
                                                   String samlAttributeName,
                                                   String nameFormat,
                                                   String friendlyName,
                                                   boolean singleAttribute)

Copyright © 2016 JBoss by Red Hat. All rights reserved.